From version 2.7.0 to 2.8.0
-------------------------
- Admin : on quick admin page, display indicators associated to a project manager and distinguish up-to-date and delayed by a color code / #1731
- Admin : ability to edit general override files / #1701
- Indicator : implementing API provider / #1671
- Indicator : ability to force chart to display min value / #1721
- Indicator : ability to display labels on abscissa on charts / #1722
- Indicator : display indicators date value based on frequency / #1723
- Indicator : ability to provide "input instructions", displayed to user when adding value / #1734
- Indicator : do remove "initial import" value when executed / #1727
- Indicator : store and display who added / modified a value / #1733
- Indicator : ability to import initial values through API when modifying / #1726
- Indicator : remove tendency and modification history from excel export / #1742
- Indicator : handle multiple mode Excel / CSV export - closing issue #1743
- Indicator : ability to add multiple values at once (unique value's indicators only) / #1699
- Indicator : ability to create a cumulative indicator (or unique value only) / #1735, #1751, #1752
- Indicator : implement API for multiple values / #1728
- Indicator : fetch API result to populate fields / #1620
- Indicator : API is now available through proxy with PROXY_PARAMS optional constant / #1729
- Indicator : API does now handle null value for both simple / multiple indicators / #1784, #1785
- Indicator : API return indicator cumulative data if needed / #1755
- Indicator : API : ability to update DB stored values if different values are returned / #1786
- Indicator : default threshold are now handled gently / #1756, #1757, #1758
- Indicator : display warning when modifying indicator's type if values already entered / #1692
- Indicator : ability to specify "unavailable data" for a given date / #1736
- Indicator : fix round values issues by converting from float to double / #1797
- Project : by default, display only public projects on main page / #1730
- Project : implement achievement status and filter / #1688, #1703
- Project : go back to action's detail page after modifying pages / #1732
- Project : implement status exports in Word, PDF and Excel format / #1705, #1704, #1706
- Workgroups / calendar : distinguish better past / incomings events and emphasize next event first / #1792
- config ini file : introduce CONFIRM_LINKS optional constant / #1737
- config ini file : ability to pass optional constant DB_PORT to handle mysql connection
- zlib.output_compression is preferred over ob_gzhandler() / #1788
- Plugin : LDAP plugin is now by default using v3 and so handle UTF-8 / #1789 / #1693
- Plugin : LDAP plugin now shows LDAP users in user's page / #1803
- Security enhancements
- Convert all tinyint to int on DB build script / #1754
- PHP dependencies libraries update
- PHP 8.x compatibility



From version 2.6.0 to 2.7.0
-------------------------
- News : ability to set sticky news / #1526
- Admin / indicator : css steps progressbar when entering a new indicator / #1494
- Admin / indicator : assessment is now handle from 0 to 5. 0 is equal to not set / #1495, #1496
- Admin / indicator : enhancements regarding regulatory references / #1497, #1498
- Admin / indicator : full validation process on min / max / threshold values / #1516, #1520, #1521, #1522, #1523
- Admin / project : display number of selected elements when filtering / #1550
- Admin / project : rounded values on sync indicator according to PROJECT_STEP / #1564
- Admin / project : adding '8 days' frequency reminder to task / #1585
- Admin / project : impacts are now dynamic on Excel exports / #1608
- Admin / project : ability to filter on project's manager / #1499
- Admin / comment : comments exports are not limited to 10, all selected comments are now exported / #1612
- Admin template : ability to include admin.css and admin.js files from public templates folder / #1547, #1674
- Public template : introducing css variables to default public theme / #1587
- Admin : easy debug with logs when exporting to Word / Excel / PDF  - introducing optional constant EXPORT_LOG / #1586
- Admin : automatic crontab instruction is now accessible / #1622
- Public : when admin user, all workgroups are accessible from user panel / #1595
- Public template : ability to use user.css file to override style.css defined style / #1533
- Public : new 2024 default public them / #1621, #1617
- Indicator : ability to plug API to populate values / #1541
- Indicator : ability to describe indicator's tendency in dedicated field when entering value / #1561
- Indicator : associated level is now optional / #1542
- Indicator : introducing sum / mean / none mode on multi-values indicator / #1666, #1665, #1664, #1663, #1662
- Indicator : better scales on exports / #1667
- Indicator : permission is given to project manager to export associated indicators / #1605
- Indicator : enhanced charts rendering based on new highchart version / #1545, #1544
- Indicator : emphasize "strategic indicator" instead of "non strategic indicators" / #1633
- Logging IP when sending mail /mail/send.php / #1504
- Ability to blacklist IP to prevent spam / #1505
- Ability to handle blacklisted IP from back-office / #1507
- Ability to include admin css file (named css/admin.css) from public template folder / #1547
- Prevent *.ini files access from browser with htaccess / #1503
- Introducing optional constant EXPORT_LOG to easily identify item causing trouble when exporting / #1586
- Cron syntax enhancements / #1509, #1511
- Switch from SwiftMailer to Symfony Mailer (SwiftMailer can still be used by setting optional const MAIL_LIBRARY) / #1582, #1581
- Updates : log update script call / #1501
- Web accessibility enhancements / #1571, #1574, #1575, #1576, #1578, #1617
- Plugin / RGPD : web accessibility enhancements / #1573
- Plugin / dynamicMenu : web accessibility enhancements / #1577
- Plugin / backup : add ability to specify cron minute call / #1510
- Plugin / backup : optimize zip archive generation / #1508
- Plugin / easyValidation - add backslash to javascript written code / #1614
- Plugin / dynamicMenu - add backslash to javascript written code / #1615
- Plugin / LDAP : removing obsolete constant SALT_CRYPT / #1527
- Plugin / prettyDate update / #1589
- Update process updated in readme file / #1518
- Highcharts library update / #1543
- Switch from jquery sparkline to jquery peity / #1645
- Security : CRYPT_BLOWFISH algorithm is now used by default to hash password and user is invited to update pass / #1636, #1639
- Security enhancements
- Security concern : do not send password by mail when set by user / #1592
- PHP dependencies libraries update / #1553
- PHP 8.x compatibility / #1482, #1514, #1524, #1525


From version 2.5.0 to 2.6.0
-------------------------
- Admin / indicator : ability to set color (values & threshold) on quantitative indicators (unique value only) / #1425
- Admin / indicator : percent/normal switcher button on multiple values indicator charts / #1458
- Admin / indicator : adding link to go back to project page when value is added / #1452
- Level : ability to get the full tree structure by calling getLevelParents() now implemented / #1353
- News : preserve news order when re-ordering manually from admin UI / #1347
- Comment : ability to add a title / #1330, #1384
- Email : html template has a better compatibility with clients relying on HEML / #1369
- Newsletter : better compatibility with clients relying on HEML / #1369, #1367
- Newsletter : ability to embed logo in header by default without creating a new template / #1374
- Newsletter : placeholder always removed / #1372
- Indicator :  raw value display when only one value is entered and 'sparkline' vis is choosen to prevent misunderstanding / #1437
- Indicator : multiple indicator visualisation now understands "spline" / "column" and "area" types / #1456
- Workgroup : ability to choose if report is visible to non members or not / #1424
- Admin / project : structured and hierarchical list to choose parent projet / #1400
- Admin / project : project managers are now visible on projects list / #1448
- Admin / project : a Gantt diagram / timeline is now available / #1433
- Admin / user : ability to grant permission on projects when creating-editing / #1391
- Admin / user : preserve permissions when converting privileged user to admin profile and convert back / #1471
- Admin / system : adding line numbers when visualising logs / #1441
- Public / workgroups : forum - enhanced layout based on knacss7 / #1418, #1416, #1415
- simple_html_dom library update (1.9.1) / #1342
- Public / RSS feed returns now 20 items and handles (unique) tag / #1476, #1477
- Public / 2019 theme : minor theme update / #1363, #1360, ...
- Installer : fix test when creating database / #1357, #1358
- Password security policy message simplified and avalaible on admin UI / #1475, #1473
- Waypoints library update / #1402
- jQuery library update to 3.6.1 (admin) and 3.6.1 (public) / #1398, #1401, #1404, #1406
- ckEditor update to v4.19.1 / #1399
- Phpdebug-bar library update to v1.18.0 / #1339
- Switching to dragonmantank/cron-expression to get PHP8.1 compatibility / #1375
- Switching to c-pchart library to get PHP8.1 compatibility / #1365
- SwiftMailer update to v6.3 / #1376
- Major security enhancements
- Internet Explorer <= 10 support has been removed / #1412
- Many PHP libraries rely now on PHP composer / #1325
- Plugins update / #1467, #1442, #1428, #1411, #1361
- PHP 8.1 compatibility / #1341


From version 2.4.0 to 2.5.0
-------------------------
- Introducing PROJECT_IMPACTS constant in config.ini file to give ability to assess projects impacts / #1206
- Introducing REGISTRATION_ANTISPAM optionnal constant in config.ini file to prevent spam attacks / #1151
- Public / user registration : antispam added if enabled / #1142
- Public / publication : removing publication from breacrumb and title by default / #1142
- Public / default public theme : adding toogle method with a/href/ class="toggle" and data-target attribute / #1166
- Admin / quick admin :  show indicators to update related to user's projects if no permissions on dashboard / #1202
- Admin / indicator : ability to pre-define labels in comments on indicator page to pre-fill fields when entering values / #1168, #1171
- Admin / indicator : ability to filter on significance (strategic/non strategic indicators) / #1191
- Admin / project :  ability to export projects in XLS format, and to customize export with json file / #1224, #1229
- Admin / comment : export "likes" (if enabled) on csv/excel format / #1175
- Admin / dashboard : new layout allowing to select all indicators or strategic only, based on public UI - optional constant DASHBOARD_DISPLAY to fall back on table style
- Admin / dashboard : bug fix on multivalues indicator total when one of entered value is between 0 and 1 AND given with comma as decimal separator / #1225
- Admin / workgroup : ability to move discussion to another workgroup / #1135
- Admin / system :  allow json editing in templates / #1179
- Admin / templates :  2015 theme removed / #1192
- Admin / templates :  2021 cleaning and css validation / #1260, #1259, #1258, #1257
- Admin / project : show ticked indicators first in a project's indicator selection list and better style / #1201, #1219
- Admin / system : enhancements on theme editor (now parsing json and having wrapping enabled) / #1275, #1277
- Workgroup : ability to make workgroups not visible by default on public UI / #1152
- Workgroup : smart name folder by default to be  more explicit / #1316
- Project : adding completion indicator on level-2 - admin and public UI / #1164
- Project : adding impacts indicators / #1173, #1207
- Project : indicators can now be ordered at project scale / #1169, #1216
- Project / Word export fixing bug related to html format on 'team project' and 'budget comment' fields / #1221
- Export / PDF : bug fix when clicking TOC item (send now to the right position) .... / #1156
- Export / PDF : position bookmark before displaying title to get better positionning on click / #1269
- Public / news : displaying comments number (with link) on homepage and news page / #1132
- Public / workshop report : do not display parts, bibliography and resources title if no content / #1132
- Public / 2019 : minor theme update / #1283, #1214, #1146, ...
- Newsletter : see scheduled mailing on listing / #1172
- Newsletter : ability to send newsletter manually / #1128
- Newsletter : handling better images / #1199
- Dashboard : new layout allowing to select all indicators or strategic indicators only / #1643
- Dashboard :  strategic indicators are now emphasize (common were before) / #1633
- Dashboard export : empty values are not exported anymore / #1246 to #1252
- Dashboard : prevent PHP warning on dashboard due to "Division by zero" for both unique and multiple indicators values / #1203
- LDAP plugin implementation more generic / #1183, #1186
- add method to set/display flash message / #1265
- Plugin / backupSuite is now able to backup plugins (except current plugin) / #1174
- Plugin / LDAP : ability to set dynamic filter on search by implementing new constant / #1185, #1187
- TLS and STARTTLS support when sending SMTP mail (with optional MAIL_SMTP_ENCRYPTION constant) / #1194
- Keep session alive when editing / #1253
- Better cookies security policy (SameSite = Strict and Secure param when possible) / #1255, #1256
- Set cookies even when http only / #1197
- Plugin / LDAP : add explicit errors message when connecting with LDAP connector / #1211
- tableDnD jquery library update to 1.0.5 / #1217
- updating multiple-select jquery library to v1.5.2 / #1184
- updating clipboard.js to v2.0.10 / #1292
- Plugin : easyValidation plugin is now abled to exclude forms (having 'secondary-form' class attribute) / #1271
- Major security enhancements
- wideImage library replaced by Intervention / #4007, #4008
- html2text php library update / #1303
- TCPDF v6.4.4 update / #1294
- Dropzone update to v 5.9.3 / #1320, #1321
- PHPWord 0.18.3 library update / #1324
- PHP 7.2+ / 7.4+ compatibility enhanced / #1180
- PHP 8.0.0 tested / #1237


From version 2.3.0 to 2.4.0
-------------------------
- Introducing CHART_MIN_VALUES constant in config.ini file to specify minimal indicators number for charts generation / #984
- Introducing default .user.ini file to configure PHP logs and more PHP settings if needed / #978
- Project : global completion indicator displayed on projects page for both public and admin UI (with dynamic refresh based on filters in back-office) / #1005
- Project : new tasks features on project module / #991, #998, #997, #996, #995, #994
- Project : ability to sync completion indicator on task completion, introducing optional PROJECT_TASK_SYNC in config.ini file / #1083
- Project : introducing target field in project / #937, #1010
- Project : introducing calendar comment field in project / #1032
- User : introducing new indicator manager permission. On migrating, users having permissions on dashboard will inherit on indicators / #980
- Public / user : explicit LDAP related message in profile page / #986
- Public / comment : no moderation on administrator's comment / #950
- Public / newsletter : ability to access online newsletters archives / #1100
- Public / dashboard :  project view ordered by levels / #1004
- Admin / dashboard : new page layout based on array / #1011
- Admin / indicator : do not display tag icon if not tags / #1046
- Admin / dashboard : introducing indicator type (such as 'state' / 'pressure' / 'response') / #1007
- Contribution : ability to order by votes, date and author name / #1071 
- Admin / directory : ability to export directory entries / #970
- Comment : ability to order by date and author name / #1082
- Dashboard : new gauge based on css only
- Dashboard : ability to embed iframe generating js chart / #850
- Dashboard : ability to generate pie / donut / treemap js chart based on a specific year (multiple indicator only) / #1075, #532, #1065
- Dashboard : alternative view for dashboard / #928
- Dashboard : ability to customize chart colors / #928 https://dev.linea21.com/projects/linea21/wiki/Personnaliser_les_graphiques
- Dashboard : make sdi module, dashboard module and export ordering consistent/ #1047, #1048
- Admin : new admin theme based on kna.css 7 / #1056, #1016
- Admin / dashboard : adding tag icon (when tagged only) / #1012
- Admin / dashboard : adding direct link to add value / #1014
- Admin / system : adding direct link to add value / #1055, #1057
- Admin / project : ability to edit actors name / #1033
- Admin / plugin ldapAuth : more generic implementation / linea21-plugins|r70
- Admin / project : display tag icon only when tagged / #1013
- Admin / project : ability to edit actors name / #1033
- Admin / project : ability to display only my projects / #1103
- Admin / project export : change embedded image for associated indicators with table of indicators / #1031
- Admin / asynchronous new version check / #946
- Admin / user : display explicit permissions on over for privilege users / #1084
- Admin / user : permissions UI enhancement / #1088
- Admin / newsletter : ability to modify / delete newsletter even when sent / #1098, #1099
- Admin : new 2021 theme based on Knacss CSS framework 7.0.3 / #1016, #1056
- Vote : fixing multiple vote detection bug / #1053 
- Cross platform download security test / #925
- Config : change default upload file limit to 64 MB / #1051
- Admin / export (projects / indicators) : global project completion on report first page when global export (pdf/word) / #1008
- Indicator image chart - missing values handled better / #989
- Major english translation enhancement / #1092
- jQuery.tableExport 1.10.21 update / #971
- phpword 0.18 update / #1134
- html2canvas update / #1049
- Minor bugs corrections and enhancements
- Plugin : contribute handles editing on back-office
- Plugin : contribute handles votes
- Plugin : contribute allows now to create worgroup discussion from contrib
- Plugin : emailSuite handles new 'task_reminder' case
- Plugin : emailSuite now can send only one message ('add_user' case)
- Plugin : ability to handle indicators colors in PCAET plugin / #1118, #928
- Major security enhancements
- PHP 7.2+ / 7.4+ compatibility enhanced



From version 2.2.0 to 2.3.0
-------------------------
- Adding optional antispam on contact page / introducing CONTACT_ANTISPAM in config.ini file
- Display numbers of members in workgroup
- Handling singular / plural for votes 
- Do not update *_last_modify DB field when modifying ranges
- Removing useless constants form config.ini files : UPLOAD_MAX_MO, OUTPUT_SEP, USER_COMMUNITY
- Admin / export : ability to export in HTML format (curl extension required when images / links) - see HTML_EXPORT constant
- Admin / export (projects / indicators) refactorized
- Admin / export (projects / indicators) : ability to export project or dashboard structured by levels
- Admin / export (projects / indicators) : Word / PDF export beautified
- Admin / export (projects / indicators) : lang override now works
- Admin / export (projects / indicators) : ability to override main functions (to change export structure) from public theme
- Admin / export (projects / indicators) : New export option giving ability to control better document structure
- Introducing PASSWD_CONFIRM constant in config.ini file for double password input in public UI
- Introducing DISPLAY_LEVEL_LABEL constant in config.ini file to display label as prefix for level
- Introducing EXPORT_NOIMAGE as optionnal constant in config.ini file for removing images from HTML fields on export
- Introducing WORDEXPORT_ESCAPE as optionnal constant to overwrite PhpOffice\PhpWord\Settings::setOutputEscapingEnabled() settings if needed
- Introducing WORDEXPORT_NUMTITLES as optional constant in config.ini file to provide nummbered titles in Word exprt
- Introducing HTML_EXPORT constant in config.ini file to be able to handle HTML format in project / indicator report
- Introducing ACCOUNT_UNIQUE_EMAIL constant in config.ini file - Ability to prevent double account with unique email
- Admin / system : MISC_HIDDEN_SETTINGS in config.ini file are now available in settings page (back-office)
- Font-awesome is now available in RTE
- Public : harmonized user name on workgroups
- Public / user : double password check when registering if enabled (PASSWD_CONFIRM constant)
- Public / user : ability to generate password by passing associated account email  
- Public / privacy : cookie consent full GDPR compliant
- Public / privacy : disabling search engine indexation on user profile page
- Public / privacy : stats plugin compatible with cookies settings
- Public / news : removing pagination from grid layout
- Public / workgroup : ability to set notification preferences on individual workgroup
- Public / contribution : adding marker to recognize user's own contributions
- Public / contribution : adding My Contributions to profile page
- Public / contribution : adding My Contributions to user menu
- Public / contribution ordered by publication date DESC by default
- Public / project :  add ability to display projects as in backoffice (with completion rate)
- Admin / level : pretty and easy reordering
- Admin / scale : pretty and easy reordering
- Admin / hierarchical select-box on level and scale modules
- Admin / project : do not include empty values anymore on exports
- Admin / plugin dynamicMenu : provides some help (syntaxic elements) to fill-up URL input
- Admin / confirm page : allow forward to plugin confirm page bor better extensibility
- Project : display manager(s) name(s) if given
- Indicator : display last year entered value
- Install : ability to include user defined SQL files to execute on install
- sql_mode compatible with MySQL v8+
- Security enhancements
- Spanish translation is up-to-date !
- Geocoder relies now on adresse geo.api.gouv.fr
- PHP 7.2+ compatibility enhanced
- Through PHP 7.4+ compatibility
- TCPDF 6.3.5 update
- Phpword 0.14.0 library removed



From version 2.1.0 to 2.2.0
-------------------------
- Security : handle better human factor by not sending password if not needed
- Security : introducing PASSWD_STRENGTH constant in config.ini file to offer ability to define password strength policy
- Security : handling better logout action
- Security : XSS security fix on themes / plugins editing
- GDPR compliance (user registering)
- Dashboard : chart resized. Can also be resized dynamically by passing $w / $h vars to scripts
- Dashboard : ability to call indicator chart from external page / application by copying URL
- Dashboard / Indicator : display associated projects if any 
- Tags : handling better tags with user defined templates (public / admin themes)
- Introducing new config.ini constant CKE_allowExtraContent to allow CKEditor attributes / classes setup
- Admin : ability to auto save based 64 image from input - see BASE64IMAGE_AUTOSAVE constant in config.ini file
- Admin / Project : enhanced exports
- Admin / Project : ability to filter on priority
- Admin / Project : ability to filter on completion
- Admin / Project : adding operational goal field
- Admin / Dashboard : enhanced exports
- Admin / User : make user anonymous when deleted (GDPR compliance)
- Admin / Page : displaying [id] on list and detail
- Admin / System : include link to post-blog if provided when update is available
- Utf8mb4 MySQL support for updates
- Vote : adding vote system based on IP / user_id for project and contribution module / plugin
- Vote : email notification when reaching threshold
- Public / tag : ability to remove prefix - see #900
- Public : smooth-scroll on anchor
- Public / Contact : ability to pass mail subject as parameter - see #870 (ex: contact.html?s=My%20de%20subject )
- Public : better user interaction when registering
- Public : better Contribution module integration and enhancements
- Public : email templating enhanced - with ability to add separated template by action
- Public : new 2019 theme based on Knacss CSS framework 7.0.1 
- Public : ability to include iframe - special container url (sample : used for pcaet plugin)
- Public : handling better deleted user in comments / forum modules
- Public : displaying contributions by default
- Public : ability to display latest contribs in homepage
- Public : adding slider library - slick
- Public / workgroup  & comments : explicit message, handle better FREE_REGISTRATION settings
- Email template enhancements
- Email template : with base64 encoded default logo in footer
- Email customization based on individual action template - enhanced forward compatibility
- Better responsiveness in admin / public UI
- JS Chart are now responsives
- Adding UTF-8 charset to setlocale LC_TIME
- Introducing CKE_ALLOW_EXTRACONTENT constant in config.ini file for passing CKE_allowExtraContent as a config parameter
- Introducing menu key to handle better dynamic menu - with use with dynamicMenu Plugin
- Better plugin integration - with ajax ability (see /admin/_ajax-plugin.php) container file
- Plugin : Contribution first release
- PHP 7.2 compatibility enhanced
- colorbox calls implement responsive method
- TCPDF library update to 6.2.26
- Highcharts 7.0.3 update
- Phpword 0.16.0 update
- Dropzone update to v 5.5.0
- other libraries updates (clipboard.js, ...)
- Minor bugs corrections and enhancements
- Plugin : PCAET is now available on public UI
- Plugin : Contribute - with extra fields


From version 2.0.0 to 2.1.0
-------------------------
- Utf8mb4 MySQL support for new installation
- XSS security fix
- Security token on logout
- Others majors security enhancements
- Leaflet default tile changed for mapping
- Introducing PHPColor lib
- Introducing vertical-timeline in core application
- Ability to open external link and pdf files in new window handled from config files
- Implementing tags mechanism on indicators
- Better redirection with ajax login authentication
- Projct & sub-projects better distinction
- Logs files are refactorized (admin / public access are merged, search keywords are now stored in main log file)
- SQL mode ONLY_FULL_GROUP_BY supported
- Admin : enhanced Word copy-paste
- Admin / user : ability to perfom search on firstname, lastname and emails 
- Admin / user : ability to send new account notification email at any time - will generate a new password
- Admin / workgroup : notify moderators on subscription
- Admin / workgroup : notify subscribers when accepting / rejecting request
- Admin / comments :  inline edit is now available
- Admin / comments :  export to csv or xls format
- Admin / level :  display number of linked items when deleting
- Admin / scale :  display number of linked items when deleting
- Admin / dashboard - project : ability to provide vectorial images for exporting
- Admin / dashboard - ability to filter indicators on tags and export them
- Admin / system : AUTO_LINK constant removed
- Admin / system : ability to see emails queue from admin UI
- Admin / system : ability to purge emails queue from admin UI
- Admin / system : ability to see logs file
- Admin / system : ability to purge logs file
- Admin / direcory : distinguish draft entries on list
- Admin / project : implementing finalities in reports
- Admin / reports : enhanced PDF outputs
- Public / user : ability to send personal message via Linea21 using email
- Public / workgroup : forum new layout
- Public / workgroup : ical enhancements
- Public / workgroup : new / unread messages marked
- Public / workgroup request : reply-to field with sender email address is entered
- Public / Comment & contribute : reply-to field with sender email address is entered
- Public : ajax authentication on comments / contribute items
- Public : display tag name on filtering
- Public : better redirection handling after authentication
- Public : pretty date, better publication date on modules
- Public : simple & responsive html template on individual emails
- Public : better print stylesheet
- Public : responsive authentication dialog box
- Minor bugs corrections and enhancements
- Libraries updates (colorbox, ckeditor, alertify, ...)


From version 1.9.0 to 2.0.0
-------------------------
- Full PHP7 Compatibility
- MySQL database : handle default field values as necessary for version 5.5+
- MySQL database : make innoDB default engine to ensure forward compatibility (even with MariaDB)
- Enhanced HTTPS support
- Indicator : handling better boolean indicator
- Indicator : handling qualitative indicator
- Indicator : generating vizualisation for qualitative indicator
- Indicator : adding basic statistics on quantitative indicator
- Admin / project : ability to associate finalities (database defined)
- Admin / project : filtering options on tags / finalities / scales
- Admin / project : flat view and finalities view added
- Admin / project : store displayed projects and export them feature
- Admin / project : handle better indicator (links removed when needed, add value button)
- Admin / workgroup : ability to import users from existing workgroup
- Admin / indicator : handling better decimal separator. Multi-values stored with '.' in database
- Admin / indicator : handling better multi-values export - adding extra column with detail values
- Admin / indicator : cosmetic enhancements on Word exports
- Admin / system : handle better files and folders exclusion on theme / plugin edit
- Admin / system : xml and js are now recognized formats by code editor
- Admin / user : notification is now optional when creating user
- Admin : archives are visually visible in list
- Admin : better publication dates handling on news / newsletter / publication modules 
- Admin : sending few information to server when checking for update
- Public : responsiveness enhanced on 2015 public theme
- Public : new 2017 theme based on Kna.css v 6.0.5
- Public / workgroup : make membership more visible
- Public / workgroup : files in sub-folders are handled
- User module : ability to enter password (optional in back-office) when creating an account
- Workgroup module : ability to archive workgroup
- Comment module : adding email to body when user is authenticated on notification 
- Admin / plugin dynamicMenu : handle better URL rewriting (generate slug)
- Admin / plugin PCAET : introducing new PCAET plugin for French Climate Package
- Admin : Kna.css framework update to 3.1.0
- FontAwesome is now included
- jquery.tableExport update
- Minor bugs corrections and enhancements


From version 1.8 to 1.9
-------------------------
- Admin / project : ability to create a report as Word / PDF and HTML format
- Admin / project : ability to create a report as Word / PDF and HTML format for unique entry
- Admin / project : ability to create indicator from project interface and choose it
- Admin / project : timeline removed
- Admin : ability to call light-ui for ajax actions
- Admin : comma separated float are now accepted and validated when language is set to 'fr'
- Admin / dashboard : ability to download indicators charts
- Admin / dashboard : ability to export indicators values as many formats : json, csv, png image
- Admin / dashboard : ability to create a report as Word / PDF and HTML format for unique entry
- Admin / workshop : message ajax delete on forums
- Admin / newsletter : ability to populate newsletter with latest news
- Public / workshop : message ajax delete on forums (administrators and moderators only)
- Scale : ability to refer to Community_Identification_Number (COG - INSEE) for spatial visualisation
- Admin : Theme module replaced by Level module to allow multiple levels - complex hierarchy
- Admin / level : display associated content by modules
- Tags : understand accents on autocomplete
- News & Publication modules : ability to change publication date (even when archived)
- Dynamic charts on both admin / public interfaces - relying on javascript
- Required HTML5 attribute implemented on forms input
- Search engine : new 'expanded search' option - can be set as constant in config.ini
- Search engine : enhanced search results formatting
- Worgroups : dropzone replaces jquey-File-Upload for multiple uploads
- Stringy library implementation
- pChart library update to 2.1.4
- TCPDF library update to 6.2.8
- jquery-ui has been removed
- When doing an update, now the script will also be able to handle PHP instructions based on versions 
- CKEditor update
- Minor bugs corrections and enhancements


From version 1.7 to 1.8
-------------------------
- Users are now allowed to enter 100 chars password length
- Themes and scales are now optional on several modules
- Introducing Tags on news, publication and project modules
- Removing Level module
- Implementing Cron mechanism
- Replacing old PHP Debugbar by the php-debugbar library
- Security enhancements on user password (individual salt)
- Dashboard : boolean indicators are now handled by the app (with masks ability)
- Dashboard : multi-values indicators are now handled by the app
- Dashboard : pie chart for multi-values indicators
- Dashboard : ability to let user create is own color palette
- Dashboard : tracking user activity when adding/modifying values
- Dashboard : ability to export report into Word and HTML format
- Dashboard : ability to export values into Excel format from back-office
- Project : adding managers field - with ability to manage projects indicators
- Project : adding new information fields such as elected, project team, budget comment, ...
- Workgroup : send mail to concerned workgroups moderators on user subscription request
- Admin : new default theme
- Admin : better HTML files inclusion
- Admin / shared library : security improvements
- Admin / system : plugin files online editor
- Admin / system : restriction on plugin files online editor
- Admin / project : ability for project managers to edit content they are in charge of
- Admin : ability to extend menu using observer pattern
- Public : new default public theme based on knacss
- Public : new homepage layout by default
- Public : new news layout by default
- Public : ajax login available
- SwiftMailer library update to Swift-5.1.0 (now able to use plugins - like antiflood)
- Ability to change reply-to address when sending mail 
- New docBlock syntax for Phpdoc2
- Adding main log file
- CKEditor 4.3.3 update
- Filemanager 2.1.0 update
- Minor bugs corrections and enhancements



From version 1.6 to 1.7
-------------------------
- Admin / dashboard : ability to clone an indicator
- Admin / dashboard : easy access to indicator's page
- Admin / indicator : easy access to indicator's values
- Admin : icons set replaced by font icons
- Admin : arrays are now sortable
- Admin : enhanced Media Library integration
- Admin : syntax highligt on online files editor
- Admin : direct links to local pages from CKEditor
- Dashboard : introducing sparkline representation
- Dashboard : introducing line and area charts representation in historical view
- Dashboard : displaying rates with numeric values
- Dashboard / export : page break error fixed in PDF
- Dashboard / export : ability to filter individual indicators on finalities
- Directory : sending message when entry added from back-office (compliance with CNIL)
- Newsletter : ability to access newsletter subscribers and delete them
- Newsletter : ability to access newsletters from front-office
- Workgroup : ability to create restricted workgroups
- Workgroup : ability to add iCal event from workroup calendar
- Workgroup : Notification to all workgroups users when files are shared
- Page module : ability to define page as homepage
- Page module : ability to define partial included in templates
- News : Pagination on front-office
- Project : budget, coordinator and partners as new fields
- Project : auto-completion on coordinator and partners fields
- Implementing 'Remember me' feature on login
- Allow search on 3 characters word
- Ability for user to change his login if defined in config.ini file
- define_db.ini was renamed to release.ini - not editable anymore - easier update
- define_release.ini was renamed to config.ini - app config file - easier update
- Database : mysql class use now mysqli_ functions
- tinyMCE editor 4 update
- CKEditor update
- JQuery & dependencies update


From version 1.5 to 1.6
-------------------------
- Replacing artichow graphic library (not maintained anymore) by pchart (http://www.pchart.net/)
- Ability to remove user avatar
- Removing PHP short tags
- SQL object declaration is now unique, in /config/define.php
- Introducing CMS functionnality
- Shared authentication (SESSION) between public and admin interfaces
- PostgreSQL support removed (it was not used and was taking time to maintain both mysql and pg version)
- Public : adding responsive and html5 template based on skeleton
- Public : antispam on comment form if users are not authenticated
- Public : ability for admin users to access workgroups even if they are not explicit members
- Public : first message editable in workgroup forum
- Public : ability to edit user messsage for worgroup organisers (including admin users)
- Public : javascript password strength indicator
- Public : dashboard on project page if indicators are associated
- Public : dashboard - ability to switch from project view and finality view
- Public : ability to display dashboard with projects as main themes
- Admin : ability to dynamically change the indicator threshold
- Admin : ability to attach (or not) an indicator to the dashboard
- Admin : ability to change owner's message (forums) when posting
- Admin : global visualization removed on dashboard
- Admin : database password anonymized
- Admin : username display when possible (comment, admin ...)
- Admin : Write check permissions on dynamic folders and plugins
- Admin : restricted drag'n drop re-order
- Admin : harmonized labels
- Admin : adding map to directory entry
- Dashboard : alternative raw vizualisation
- Ability to see last user connexion on user's page
- Library (filemanager) updated
- Plugins support much more efficient
- Enhanced security
- CKeditor 4 update
- nicEdit 0.9 update
- Minor bugs corrections and enhancements


From version 1.4 to 1.5
-------------------------
- By default, the 5 sustainable development finalities defined by the French Ministry are in (only for the french version)
- Comment module with moderation support
- Last name and first name added to module user
- GIF image support
- Public css files merged into only one
- Tiny WYSIWYG (nicEdit) on public workgroups forum 
- High resolution screen support
- Project progression indicator + slider
- Newsletter : ability to send a test newsletter to logged-in user
- Newsletter : ability to embed stylesheet into RTE
- Newsletter : new default templates
- Admin > Publication : ability to browse library when adding a multimedia resource
- Library (filemanager) updated
- Lat/Long geocoding introduction
- Gmaps used to display individual directory entries
- Admin : Drag'n drop to order items
- Admin : jQuery-ui added by default
- Admin : new navigation menu
- Admin : css enhancements
- Admin : online template editor
- Admin : ajax notifications
- Public : security enhanced on workgroups
- web accessibility enhanced
- Jquery colorBox replace LightBox
- Cleaning & useless components removed
- Minor bugs corrections and enhancements
- TCPDF library update
- CKEditor 3.1.6 update
- Indicators PDF generation, now can be customized with template mechanism


From version 1.3.1 to 1.4
-------------------------
- Auto Installer finally came out!
- Shared library is available
- Ability to upload files from workgroups
- "My groups" item on public interface
- Override mechanism enhanced - Template support
- Users management in Workshop module enhanced (ajax autocomplete)
- Ability to subscribe workgroups when creating a new user or editing a user account
- Workgroups users and moderators notifications on forum and shared files
- Workgroups scroll to after forum post
- Subscribe workgroup feature enhanced
- CKEditor 3.1 support and default WYSIWYG
- Fckeditor removed
- TinyMCE updated to 3.2.7
- PHPMailer updated to 5.1
- Writing log when sending mails + debug method
- ISO 639-1 (language coding) + ISO 3166-1 (country coding) support : culture approach
- Breadcrumb is available
- Forgot password feature
- themeInclude() removed
- Ability to auto subscribe the newsletter when creating a user
- Meta-data integration on templates (back-Office)
- Templates automatic detection
- Intoducing a debug tool - PHPDebug
- Plugins system introduced
- Replacing PHP short tag
- PHP 5.3 TCPDF fix
- Search engine enhanced
- Database : "l21_" prefixed tables
- Old templates removed
- Minor bugs corrections and enhancements
- JQuery & dependencies update
- Browser compatibility enhanced


From version 1.3 to 1.3.1
-------------------------
- URL rewriting offset bug fixed
- User subscription : bug on 2006 public theme fixed
- Bug fixed on changing admin user settings
- Directory bug fixed on adding a new entry
- Displaying indicators bug fixed
- Admin : screen resolution < 1280 enhanced
- Updated logo for PDF generation
- Minor bugs corrections


From version 1.2.1 to 1.3
-------------------------
- Native Spanish version (thanks to Marta Rada Arias, Alejandro Villar Fernández, Alberto Lezcano and others | www.icane.es)
- Native Italian version (thanks to Alessandra Rossi)
- Introducing Permalinks
- New default admin theme
- New default public theme
- Easy Templates integration 
- Encapsuled language variables
- SIMILE Timeline integration on Project module
- Enhanced Project support
- Enhanced Work-groups
- New Version checker
- Basic translation tool
- Upgrade to jQuery 1.3.1
- Upgrade to tinyMCE 3.2.6 (inline popups)


From version 1.2 to 1.2.1
-------------------------
- Advanced and tweaked tinyMCE
- Minor bugs corrections


From version 1.1 to 1.2
-----------------------
- New Project module (back & front office)
- New Configuration module (back office only) and new parameters
- English native release
- New filter system
- Search Engine Optimization (SEO) : efficient URL rewriting & HTML Title tag 
- Anti-spam on adding organization form in the directory
- Integration of jQuery (javascript) library
- Textarea fields resizable
- WYSIWYG support on textarea (tinyMCE & FckEditor)
- Introduction of a Javacsript Date Picker
- Introduction of a simple and centralized debugging tool : Sql errors, SQL queries, Timer
- Structured API documentation
- Minor bugs corrections
- Last but not least, Linea21 version 1.2 is now under GNU GPL (General Public License)


From version 1.0 to 1.1
-----------------------
- UTF8 encoded files
- UTF8 database building files
- UTF8 as default charset in config/define_release.php file
- W3C compliance bugs corrections & improvements
- File & database cleaning
- SMTP authentification support
- PostgreSQL support
- jpgraph library (QPL) replaced by artichow library
- Internationalisation ready!